org.eclipse.ease.ui.tools

## Class LocationImageDescriptor

- java.lang.Object
- - org.eclipse.jface.resource.DeviceResourceDescriptor
  - - org.eclipse.jface.resource.ImageDescriptor
    - - org.eclipse.ease.ui.tools.LocationImageDescriptor

    public class LocationImageDescriptor
    extends ImageDescriptor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ImageDescriptor` `createFromLocation(java.lang.String location)`
`boolean` `equals(java.lang.Object obj)`
`ImageData` `getImageData()`
`int` `hashCode()`

### Methods inherited from class org.eclipse.jface.resource.ImageDescriptor

`createFromFile, createFromImage, createFromImage, createFromImageData, createFromImageDataProvider, createFromURL, createImage, createImage, createImage, createImage, createResource, createWithFlags, destroyResource, getImageData, getMissingImageDescriptor`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createFromLocation

    public static ImageDescriptor createFromLocation(java.lang.String location)

#### getImageData

    public ImageData getImageData()

Overrides:
  `getImageData` in class `ImageDescriptor`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`